aboutsummaryrefslogtreecommitdiff
path: root/scripts/generate_documentation.sh
diff options
context:
space:
mode:
authorJakub Sujak <jakub.sujak@arm.com>2023-11-28 14:40:22 +0000
committerJakub Sujak <jakub.sujak@arm.com>2024-02-02 16:25:34 +0000
commit9b72a6c362abe5e5c23fa6a8bcca4ff4339fb225 (patch)
treebd32f054d51c819a49fb9ff76ddcdba46a1be197 /scripts/generate_documentation.sh
parent2b9fa593a0a172bf36a02b5cdb840c6b9b361d7c (diff)
downloadComputeLibrary-9b72a6c362abe5e5c23fa6a8bcca4ff4339fb225.tar.gz
Add scripts to generate Doxygen documentation
* Add python script to update the Supported Operators documentation page * Add a simple shell script to build Doxygen pages Towards: COMPMID-6630 Change-Id: I8f29c7c3c54d5aa56af0fbc6bede03813df06aaa Signed-off-by: Jakub Sujak <jakub.sujak@arm.com> Reviewed-on: https://review.mlplatform.org/c/ml/ComputeLibrary/+/10836 Reviewed-by: Gunes Bayir <gunes.bayir@arm.com> Tested-by: Arm Jenkins <bsgcomp@arm.com> Comments-Addressed: Arm Jenkins <bsgcomp@arm.com> Benchmark: Arm Jenkins <bsgcomp@arm.com>
Diffstat (limited to 'scripts/generate_documentation.sh')
-rw-r--r--scripts/generate_documentation.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/generate_documentation.sh b/scripts/generate_documentation.sh
new file mode 100644
index 0000000000..0a4097517e
--- /dev/null
+++ b/scripts/generate_documentation.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright (c) 2024 Arm Limited.
+#
+# SPDX-License-Identifier: MIT
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to
+# deal in the Software without restriction, including without limitation the
+# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
+# sell copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+
+# Generates the Doxygen documentation pages for Compute Library.
+# The script has to be run from the ComputeLibrary root directory.
+
+set -e
+set -u
+set -o pipefail
+
+doxygen docs/Doxyfile 2>&1 | awk '/DOXY_WARN/{ print $0; err=1 } END{ exit err }'